synchronizers:
  -
    klass: SchoolCalendarsSynchronizer
    by_year: false
    by_unity: true
    dependents: [
      DefaultSynchronizer
    ]
  -
    klass: DefaultSynchronizer
    by_year: false
    by_unity: false
    dependencies: [
      SchoolCalendarsSynchronizer
    ]
  -
    klass: UnityParamsSynchronizer
    by_year: false
    by_unity: false
    dependents: [
      ExamRulesSynchronizer
    ]
  -
    klass: TeacherUnificationsSynchronizer
    by_year: false
    by_unity: false
    dependencies: [
      TeachersSynchronizer
    ]
  -
    klass: TeachersSynchronizer
    by_year: false
    by_unity: false
    dependents: [
      DisciplinesSynchronizer,
      TeacherUnificationsSynchronizer
    ]
  -
    klass: KnowledgeAreasSynchronizer
    by_year: false
    by_unity: false
    dependents: [
      DisciplinesSynchronizer
    ]
  -
    klass: RoundingTablesSynchronizer
    by_year: false
    by_unity: false
    dependents: [
      ExamRulesSynchronizer
    ]
  -
    klass: DisciplinesSynchronizer
    by_year: false
    by_unity: false
    dependents: [
      StudentsSynchronizer,
      CoursesSynchronizer,
      SchoolCalendarDisciplineGradesSynchronizer
    ]
    dependencies: [
      TeachersSynchronizer,
      KnowledgeAreasSynchronizer
    ]
  -
    klass: StudentsSynchronizer
    by_year: false
    by_unity: true
    dependents: [
      StudentEnrollmentSynchronizer,
      DeficienciesSynchronizer,
      StudentUnificationsSynchronizer
    ]
    dependencies: [
      DisciplinesSynchronizer
    ]
  -
    klass: DeficienciesSynchronizer
    by_year: false
    by_unity: true
    dependencies: [
      StudentsSynchronizer
    ]
  -
    klass: ExamRulesSynchronizer
    by_year: false
    by_unity: false
    dependents: [
      RecoveryExamRulesSynchronizer,
      CoursesSynchronizer
    ]
    dependencies: [
      UnityParamsSynchronizer,
      RoundingTablesSynchronizer
    ]
  -
    klass: RecoveryExamRulesSynchronizer
    by_year: false
    by_unity: false
    dependencies: [
      ExamRulesSynchronizer
    ]
  -
    klass: CoursesSynchronizer
    by_year: false
    by_unity: false
    dependents: [
      GradesSynchronizer
    ]
    dependencies: [
      ExamRulesSynchronizer,
      DisciplinesSynchronizer
    ]
  -
    klass: GradesSynchronizer
    by_year: false
    by_unity: false
    dependents: [
      ClassroomsSynchronizer
    ]
    dependencies: [
      CoursesSynchronizer
    ]
  -
    klass: ClassroomsSynchronizer
    by_year: true
    by_unity: true
    dependents: [
      SpecificStepsSynchronizer,
      TeacherDisciplineClassroomsSynchronizer,
      StudentEnrollmentClassroomSynchronizer,
      GradeExamRulesSynchronizer,
      SchoolCalendarClassroomsSynchronizer
    ]
    dependencies: [
      GradesSynchronizer
    ]
  -
    klass: SpecificStepsSynchronizer
    by_year: true
    by_unity: true
    dependencies: [
      ClassroomsSynchronizer
    ]
  -
    klass: TeacherDisciplineClassroomsSynchronizer
    by_year: true
    by_unity: true
    dependencies: [
      ClassroomsSynchronizer,
      SchoolCalendarDisciplineGradesSynchronizer
    ]
  -
    klass: StudentEnrollmentSynchronizer
    by_year: true
    by_unity: true
    dependents: [
      StudentEnrollmentClassroomSynchronizer,
      StudentEnrollmentDependenceSynchronizer,
      StudentEnrollmentExemptedDisciplinesSynchronizer,
      ActiveSearchesSynchronizer
    ]
    dependencies: [
      StudentsSynchronizer
    ]
  -
    klass: StudentEnrollmentClassroomSynchronizer
    by_year: true
    by_unity: true
    dependencies: [
      StudentEnrollmentSynchronizer,
      ClassroomsSynchronizer
    ]
  -
    klass: StudentEnrollmentDependenceSynchronizer
    by_year: true
    by_unity: true
    dependencies: [
      StudentEnrollmentSynchronizer
    ]
  -
    klass: StudentEnrollmentExemptedDisciplinesSynchronizer
    by_year: true
    by_unity: true
    dependencies: [
      StudentEnrollmentSynchronizer
    ]
  -
    klass: GradeExamRulesSynchronizer
    by_year: true
    by_unity: false
    dependencies: [
      ClassroomsSynchronizer
    ]
  -
    klass: StudentUnificationsSynchronizer
    by_year: false
    by_unity: true
    dependencies: [
      StudentsSynchronizer
    ]
  -
    klass: SchoolCalendarClassroomsSynchronizer
    by_year: true
    by_unity: true
    dependencies: [
      ClassroomsSynchronizer
    ]
  -
    klass: SchoolCalendarDisciplineGradesSynchronizer
    by_year: false
    by_unity: true
    dependents: [
      TeacherDisciplineClassroomsSynchronizer
    ]
    dependencies: [
      DisciplinesSynchronizer
    ]
  -
    klass: ActiveSearchesSynchronizer
    by_year: true
    by_unity: true
    dependencies: [
      StudentEnrollmentSynchronizer
    ]
